Ownership and events
Us Corporate Events
GET
/
us
/
corporate-events
Us Corporate Events
curl --request GET \
--url https://corpus-api.onera.app/us/corporate-events \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/corporate-events"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/corporate-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"accession_number": "<string>",
"issuer_cik": "<string>",
"filing_type": "<string>",
"item_number": "<string>",
"item_name": "<string>",
"text": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"issuer_ticker": "<string>",
"event_date": "2023-12-25",
"filing_datetime": "2023-11-07T05:31:56Z",
"source_offsets": {},
"parser_version": "<string>",
"source_id": "sec_edgar"
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Provisioned Corpus API key with the required jurisdiction and operation scopes.
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0⌘I
Us Corporate Events
curl --request GET \
--url https://corpus-api.onera.app/us/corporate-events \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/corporate-events"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/corporate-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"accession_number": "<string>",
"issuer_cik": "<string>",
"filing_type": "<string>",
"item_number": "<string>",
"item_name": "<string>",
"text": "<string>",
"knowledge_time": "2023-11-07T05:31:56Z",
"issuer_ticker": "<string>",
"event_date": "2023-12-25",
"filing_datetime": "2023-11-07T05:31:56Z",
"source_offsets": {},
"parser_version": "<string>",
"source_id": "sec_edgar"
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}